using System;
using System.Collections.Generic;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class DeleteSystemModel : PageModel
    {
        readonly IConfiguration _configuration;

        private string connectionString;

        private int systemId;

        public DeleteSystemModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            DeleteVoteSystem();
        }

        void DeleteVoteSystem()
        {
            VoteSystem voteSystem = new VoteSystem();

            systemId = Convert.ToInt16(Request.Query["systemid"]);

            connectionString = _configuration.GetConnectionString("ConnectionString");

            voteSystem.DeleteSystem(connectionString, systemId);

            Response.Redirect("./ConfigureSystems");
        }
    }
}
