IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'VoteSystemData' 
	   AND 	  type = 'V')
	DROP VIEW VoteSystemData
GO

CREATE VIEW VoteSystemData
AS

select
VOTE_SYSTEM.VoteSystemId,
VOTE_SYSTEM.VoteSystemName,
VOTE.VoteName,
VOTE.Score,
VOTE.Comment
from VOTE 
inner join VOTE_SYSTEM ON VOTE.VoteSystemId = VOTE_SYSTEM.VoteSystemId 
GO