﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;

namespace VoteApp.Models
{
    public class Feature
    {
        public int FeatureId { get; set; }
        public string FeatureName { get; set; }

        public List<Feature> FeatureList(string connectionString)
        {

            List<Feature> featureList = new List<Feature>();

            SqlConnection con = new SqlConnection(connectionString);

            string selectSQL = "select VoteFeatureId, FeatureName from VOTE_FEATURE order by VoteFeatureId";

            con.Open();

            SqlCommand cmd = new SqlCommand(selectSQL, con);

            SqlDataReader dr = cmd.ExecuteReader();

            if (dr != null)
            {
                while (dr.Read())
                {
                    Feature feature = new Feature();

                    feature.FeatureId = Convert.ToInt32(dr["VoteFeatureId"]);
                    feature.FeatureName = dr["FeatureName"].ToString();

                    featureList.Add(feature);
                }

            }

            return featureList;
        }
    }
}