using System;
using System.Collections.Generic;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class ChartModel : PageModel
    {
        public List<Vote> chartDataList = new List<Vote>();

        string connectionString;

        readonly IConfiguration _configuration;

        public ChartModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            chartDataList = ChartData();
        }

        private List<Vote> ChartData()
        {
            connectionString = _configuration.GetConnectionString("ConnectionString");

            List<Vote> chartDataList = new List<Vote>();

            Vote chartData = new Vote();

            chartDataList = chartData.ChartVoteResults(connectionString);

            return chartDataList;
        }
    }
}
