using System;
using System.Collections.Generic;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class ClearVotesModel : PageModel
    {
        readonly IConfiguration _configuration;

        private string connectionString;

        private int login;

        public ClearVotesModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            DeleteAllVotes();
        }

        void DeleteAllVotes()
        {
            Vote vote = new Vote();

            login = Convert.ToInt16(Request.Query["login"]);

            if (login==2)
            { 
                connectionString = _configuration.GetConnectionString("ConnectionString");
                vote.DeleteVotes(connectionString);
            }

            Response.Redirect("./User");
        }
    }
}
